
-- Ghost by BlockMen

mobs:register_mob("ghost_mc2:ghost", {
	type = "monster",
	passive = false,
	damage = 2,
	attack_type = "dogfight",
	hp_min = 7,
	hp_max = 12,
	armor = 130,
	collisionbox = {-0.3, -0.5, -0.3, 0.3, 0.75, 0.3},
	visual = "mesh",
	mesh = "creatures_mob.x",
	textures = {
		{"creatures_ghost.png"},
	},
	blood_texture = "tnt_smoke.png",
	visual_size = {x=1, y=1},
	makes_footstep_sound = false,
	sounds = {
		random = "creatures_ghost",
		damage = "creatures_ghost_hit",
		death = "creatures_ghost_death"
	},
	walk_velocity = 2,
    -- minertestdude: make it a bit faster when it spots player
	run_velocity = 10,
	fall_speed = 0,
	jump = true,
	fly = true,
	fly_in = "air",
	water_damage = 0,
	lava_damage = 0,
	light_damage = 2,
	view_range = 14,
	animation = {
		speed_normal = 30,		speed_run = 30,
		walk_start = 168,		walk_end = 187,

	},
})

--minertestdude: make it less frequent visitor 7000->35000
mobs:register_spawn("ghost_mc2:ghost", {"mcl_core:dirt_with_grass", "mcl_core:dirt", "mcl_core:sand"}, 5, 0, 35000, 1, 31000)

mobs:register_egg("ghost_mc2:ghost", "Ghost", "default_cloud.png", 1)
